> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notional.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# API Wallets

<div className="venue-tags" aria-label="Supported venues">
  <span className="venue-tag">Hyperliquid</span>
  <span className="venue-tag">Polymarket</span>
</div>

Returns the API wallets approved to trade for a user account.

## Endpoint

```text theme={null}
POST /info
```

## Request Body

| Parameter | Type   | Description                                                              |
| --------- | ------ | ------------------------------------------------------------------------ |
| `type`\*  | string | Must be `"extraAgents"`                                                  |
| `user`\*  | string | User wallet address, e.g., `"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"` |

```json theme={null}
{
  "type": "extraAgents",
  "user": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
```

## Response

<Tabs sync={false}>
  <Tab title="200: API Wallets">
    ```json theme={null}
    [
      {
        "agentAddress": "0x1234567890abcdef1234567890abcdef12345678",
        "agentName": "Momentum Bot",
        "hyperliquidChain": "Mainnet",
        "signatureChainId": "0xa4b1",
        "approvedAt": 1701234567890
      }
    ]
    ```
  </Tab>
</Tabs>

## Response Item

| Field              | Type                | Description                                           |
| ------------------ | ------------------- | ----------------------------------------------------- |
| `agentAddress`     | string              | Approved API wallet address                           |
| `agentName`        | string \| undefined | User-defined wallet name, e.g., `"Momentum Bot"`      |
| `hyperliquidChain` | string              | `"Mainnet"` or `"Testnet"`                            |
| `signatureChainId` | string              | EIP-712 chain ID in hex, e.g., `"0xa4b1"`             |
| `approvedAt`       | number \| undefined | Unix-millisecond approval time                        |
| `expiresAt`        | number \| undefined | Unix-millisecond expiration time                      |
| `createdAt`        | number \| undefined | Unix-millisecond creation time for legacy wallet data |
